@echo off
REM This file will allow editing the wings in the Lola1995 carset.
if exist lola.wng goto CREATE
goto ERROR

:ERROR
echo; 
echo;
echo; 
echo;
echo 	This installer will only work on the Lola1995 carset.
echo;
goto FINISH

:CREATE
cls
echo;
echo Remember to uncheck "read only" on your dat file before running this 
echo Lola1995 wing editor. 
echo; 
echo;
echo Which set of wings you want to use?
echo;
echo [A] Lola-style rear wing on superspeedways
echo [B] Reynard-style rear wing on superspeedways
echo;
choice /c:AB
if errorlevel 2 GOTO REYWING

REM LOLWING
cd..
unpack lola1995.dat
copy kits\lola.wng rwings.3do
copy kits\clola.wng c_rwings.3do
copy kits\dlola.wng d_rwings.3do
pack lola1995.pck
cls
echo Cleaning up...
del *.3do
del *.mip
del *.pmp
del *.pcx
del *.pck
echo.
echo Done.
echo Speedway rear wing has been changed to lola-style.
GOTO FINISH

:REYWING
cd..
unpack lola1995.dat
copy kits\reyn.wng rwings.3do
copy kits\creyn.wng c_rwings.3do
copy kits\dreyn.wng d_rwings.3do
pack lola1995.pck
cls
echo Cleaning up...
del *.3do
del *.mip
del *.pmp
del *.pcx
del *.pck
echo.
echo Done.
echo Speedway rear wing has been changed to reynard-style.
GOTO FINISH

:FINISH
echo; 
echo;
pause